%global gemname rr

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: RR (Double Ruby) is a test double framework 
Name: rubygem-%{gemname}
Version: 1.0.4
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://pivotallabs.com
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
Requires: ruby 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems) 
BuildRequires: ruby 
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

# The following are for running test suite
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(session)
BuildRequires: rubygem(diff-lcs)

%description
RR (Double Ruby) is a test double framework that features a rich selection of
double techniques and a terse syntax.

A Test Double is a generalization of something that replaces a real object to
make it easier to test another object. Its like a stunt double for tests.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

# Remove leftovers.
rm  %{buildroot}%{geminstdir}/.gitignore
rm  %{buildroot}%{geminstdir}/.runrc
rm  %{buildroot}%{geminstdir}/.rvmrc
rm -rf  %{buildroot}%{geminstdir}/.yardoc
rm  %{buildroot}%{geminstdir}/Gemfile
rm  %{buildroot}%{geminstdir}/Gemfile.lock
rm  %{buildroot}%{geminstdir}/%{gemname}.gemspec
rm  %{buildroot}%{geminstdir}/doc/todo.txt
rm  %{buildroot}%{gemdir}/cache/%{gemname}-%{version}.gem

# Fixing test-suite files to avoid bundler dependency
sed -i 's/require "bundler"/#require "bundler"/g' %{buildroot}%{geminstdir}/spec/spec_suite.rb
sed -i 's/require "bundler"/#require "bundler"/g' %{buildroot}%{geminstdir}/spec/environment_fixture_setup.rb

%check
cd %{buildroot}%{geminstdir}
ruby spec/spec_suite.rb

# Remove leftovers.
rm  %{buildroot}%{geminstdir}/Rakefile


%files
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/LICENSE

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/doc
%doc %{geminstdir}/introducting_rr.txt
%doc %{geminstdir}/CHANGES
%doc %{geminstdir}/README.rdoc
%{geminstdir}/spec
%{geminstdir}/benchmarks

%changelog
* Tue Jan 24 2012 Guillermo Gómez - 1.0.4-2
- Removed unused macro from spec file
- Removed doc tag for benchmarks and spec file
- Removed cached version of the gem
- Fixed test suite files and test suite enabled at check section

* Sat Jan 21 2012 Guillermo <gomix@movix.fedora-ve.org> - 1.0.4-1
- Initial package
